/*
 * iQue framework by Dev-iQue LLC, http://dev-ique.com/
 * License: GPL v 3.0
 * Prepared by: Maxim Orlovsky
 * This is singificantly cutted version of the framework
 * Some parts of the code are taken from PrototypeJS and ExtJS
 */ 

iQue = {
  namespace: function (name) {
    var a = arguments, o = null;
    for (var i = 0; i < a.length; ++i) {
      var d = a[i].split ('.');
      var rt = d[0];
      eval (
        "if (typeof " + rt + " == 'undefined') {" +
          rt + " = {}; " +
        "}" +
        "o = " + rt + ";"
      );
      for (var j = 1; j < d.length; ++j) {
        o[d[j]] = o[d[j]] || {};
        o = o[d[j]];
      }
    }
  },
  
  apply: function (o, c, defaults) {
    if (defaults) {
      iQue.apply (o, defaults);
    }
    if (o && c && typeof c == 'object') {
      for (var p in c) {
        o[p] = c[p];
      }
    }
    return o;
  },
  
  applyIf: function (o, c){
    if (o) {
      for (var p in c) {
        if (o[p] == undefined) {
          o[p] = c[p];
        }
      }
    }
    return o;
  },
  
  defaultNamespace: function (ns) {
    iQue._defaultNamespace = ns;
  },
  
  createComponent: function (name, initializer) {
    (iQue._defaultNamespace || iQue)[name] = { create: initializer };
  }
};

// Standard namespace
iQue.namespace('UI');

String.prototype.html2Text = function () {
  return this.replace(/(<br>)|(<\/p>)|(<\/h.?>)/,'\n').replace(/<[^>]+>/g, '');
};
