
iQue.createComponent('DevInfo', function () { try {
  Ti.Analytics.featureEvent('devique.view', { });

  var self = Ti.UI.createWindow({
    barImage: 'themes/default/navbar.png',
    barColor: '#b9c1c8',
    backgroundImage: 'themes/default/bg.png',
    backgroundColor: 'white',
    title: 'About the Developer'
  });

  self.imageIcon = Ti.UI.createImageView({
    top: 5, left: 2, width: 143, height: 59,
    image: 'themes/default/company.png'
  });
  self.labelTitle = Ti.UI.createLabel({
    text: 'Dev-iQue LLC',
    color: '#576996', textAlign: 'center',
    left: 75, top: 10, width: 'auto', height: 50,
    font: { fontSize: 22, fontWeight: 'bold' },
    shadowColor: 'white', shadowOffset: { x: 1, y: 1 }
  });
  self.labelDescr = Ti.UI.createLabel({
    text: "Outsorcing mobile application development", font: { fontSize: 14 },
    textAlign: 'left', left: 10, top: 60, width: 'auto', height: 'auto'
  });
  self.labelAddress = Ti.UI.createLabel({
    text: 'Tel:',
    textAlign: 'left', left: 10, top: 60 + 50, width: 'auto', height: 'auto',
    font: { fontWeight: 'bold' }
  });
  self.labelAddressText = Ti.UI.createLabel({
    text: "+44 (845) 805-72-28 (United Kingdom)\n+380 (44) 362-49-64 (Ukraine)", font: { fontSize: 14 },
    textAlign: 'left', left: 10, top: 60 + 50 + 18, width: 'auto', height: 'auto'
  });
  self.labelWeb = Ti.UI.createLabel({
    text: 'Web:',
    textAlign: 'left', left: 10, top: 60 + 114, width: 'auto', height: 'auto',
    font: { fontWeight: 'bold' }
  });
  self.labelWebText = Ti.UI.createLabel({
    text: "http://dev-ique.com\nsales@dev-ique.com\n@dev-ique", font: { fontSize: 14 },
    textAlign: 'left', left: 10, top: 60 + 114 + 18, width: 'auto', height: 'auto'
  });
  /* self.labelOrder = Ti.UI.createLabel({
    text: "Created for the Order «Ars Ascensionis»\norder@arsascensionis.com", font: { fontSize: 13 },
    textAlign: 'left', left: 10, top: 60 + 114 + 90, width: 'auto', height: 'auto'
  }); */
  self.actionsTable = Ti.UI.createButtonBar({
    top: 316, left: 10, right: 10, height: 38,
    backgroundColor: '#8f99aa',
    style: Titanium.UI.iPhone.SystemButtonStyle.BAR,
    labels: [ 'Visit Website', 'Send E-mail' ]
  });
  self.actionsTable.addEventListener('click', function (ev) {
    if (ev.index == 0) {
      Ti.Analytics.featureEvent('devique.site', { });
      Ti.Platform.openURL('http://dev-ique.com/');
    } else if (ev.index == 1) {
      Ti.Analytics.featureEvent('devique.email', { });
      var emailDialog = Titanium.UI.createEmailDialog();
      emailDialog.setSubject('User request');
      emailDialog.setToRecipients(['info@dev-ique.com']);
      emailDialog.addEventListener('complete', function (ev) {
        if (ev.result != emailDialog.SENT) return;
        alert("Thank you for contacting us!");
      });
      emailDialog.open();
    }
  });

  self.add(self.imageIcon);
  //self.add(self.labelTitle);
  self.add(self.labelDescr);
  self.add(self.labelAddress);
  self.add(self.labelAddressText);
  self.add(self.labelWeb);
  self.add(self.labelWebText);
  //self.add(self.labelOrder);
  self.add(self.actionsTable);

  iQue.apply(self, {
  });
  
  return self;
} catch (ex) { Ti.API.error(ex); }});