iQue.createComponent('Reference', function (uidata, options) {
  // Creating window
  var self = Ti.UI.createWindow({
    barImage: 'themes/default/navbar.png',
    barColor: '#b9c1c8',
    navBarHidden: true
  });
  
  // Preparing controls
  self.searchBar = Ti.UI.createSearchBar({
    showCancel: true,
    autocorrect: false,
    autocapitalization: true
  });
  self.referenceTable = Ti.UI.createTableView({
    search: self.searchBar,
  //  searchHidden: false,
    data: $H(uidata.apiRoot).keys().collect(function (item) {
      var title = item.replace(uidata.prefix + '.', '');
//      if (title != uidata.prefix && title.indexOf('.') != -1) return;
      var row = Ti.UI.createTableViewRow({ title: title, hasChild: true });
      row.apiRef = item;
      row.apiName = title;
      return row;
    })
  });
  
  // Adding event listeners
  self.referenceTable.addEventListener('click', function (ev) { try {
    var w = TiAPI.UI.TiClass.create(iQue.apply({
      apiName: ev.rowData.apiRef,
      shortName: ev.rowData.apiName
    }, uidata.apiRoot[ev.rowData.apiRef]), UI.Configs.tiClass);
  	w.currentTab = self.currentTab;
  	self.currentTab.open(w, { animated: true });
  } catch (ex) { Ti.API.info(ex) }});

  // Building layout
  self.add(self.referenceTable);

  // Done
  return self;
});
